OGRE: Ogre::RTShader::CGProgramProcessor Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::CGProgramProcessor Class Reference
Core » RTShader

CG Language program processor class. More...

`#include <OgreShaderCGProgramProcessor.h>`

Inheritance diagram for Ogre::RTShader::CGProgramProcessor:
[legend]

## Public Member Functions
| CGProgramProcessor ()
| Class constructor. More...
virtual | ~CGProgramProcessor ()
| Class destructor. More...
virtual const String & | getTargetLanguage () const
| Return the target language of this processor. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual bool | postCreateGpuPrograms (ProgramSet *programSet)
virtual bool | preCreateGpuPrograms (ProgramSet *programSet)

## Static Public Attributes
static String | TargetLanguage

## Detailed Description

CG Language program processor class.

## Constructor & Destructor Documentation

## ◆ CGProgramProcessor()

Ogre::RTShader::CGProgramProcessor::CGProgramProcessor | ( |  | ) |

Class constructor.

## ◆ ~CGProgramProcessor()

virtual Ogre::RTShader::CGProgramProcessor::~CGProgramProcessor | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

## ◆ getTargetLanguage()

virtual const String& Ogre::RTShader::CGProgramProcessor::getTargetLanguage | ( |  | ) | const
| inlinevirtual

Return the target language of this processor.

Implements Ogre::RTShader::ProgramProcessor.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ postCreateGpuPrograms()

virtual bool Ogre::RTShader::CGProgramProcessor::postCreateGpuPrograms | ( | ProgramSet * | programSet | ) |
| virtual

See also
  ProgramProcessor::postCreateGpuPrograms

Implements Ogre::RTShader::ProgramProcessor.

## ◆ preCreateGpuPrograms()

virtual bool Ogre::RTShader::CGProgramProcessor::preCreateGpuPrograms | ( | ProgramSet * | programSet | ) |
| virtual

See also
  ProgramProcessor::preCreateGpuPrograms

Implements Ogre::RTShader::ProgramProcessor.

## Member Data Documentation

## ◆ TargetLanguage

String Ogre::RTShader::CGProgramProcessor::TargetLanguage
| static

The documentation for this class was generated from the following file:

- OgreShaderCGProgramProcessor.h